Прошу помощи с Минтом

О том о сем

Автор темы
SergNik
Сообщения: 2
Зарегистрирован: 24 окт 2017, 12:41

Прошу помощи с Минтом

Сообщение SergNik » 24 окт 2017, 12:51

Прошу помочь мне привести систему в норму. После перезагрузки по ресету не могу обновить никакие пакеты

Код: Выделить всё

Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Возможно, для исправления этих ошибок вы захотите воспользоваться «apt-get -f install»:
Пакеты, имеющие неудовлетворённые зависимости:
 libegl1-mesa : Зависит: libgl1-mesa-dri (= 1:17.2.2-0~x~padoka0) но 1:17.3.0-rc1-1~x~padoka0 будет установлен
 libgl1-mesa-dri:i386 : Зависит: libdrm-amdgpu1:i386 (>= 2.4.85-0~x~padoka0) но он не будет установлен
 libgl1-mesa-dri : Зависит: libdrm-amdgpu1 (>= 2.4.85-0~x~padoka0) но он не будет установлен
 libgl1-mesa-glx : Зависит: libdrm-amdgpu1 (>= 2.4.83-3~x~padoka0) но он не будет установлен
 libgl1-mesa-glx:i386 : Зависит: libdrm-amdgpu1:i386 (>= 2.4.83-3~x~padoka0) но он не будет установлен
 libgles1-mesa : Зависит: libglapi-mesa (= 1:17.3.0-rc1-1~x~padoka0) но 1:17.2.2-0~x~padoka0 будет установлен
 libgles2-mesa : Зависит: libglapi-mesa (= 1:17.3.0-rc1-1~x~padoka0) но 1:17.2.2-0~x~padoka0 будет установлен
 xserver-xorg-video-all : Зависит: xserver-xorg-video-amdgpu
E: Неудовлетворённые зависимости. Попытайтесь выполнить «apt-get -f install», не указывая имени пакета, (или найдите другое решение).
Если пытаюсь сделать что он просит получаю ошибку

Код: Выделить всё

apt-get -f install
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
yБудут установлены следующие дополнительные пакеты:
  libdrm-amdgpu1 libdrm-amdgpu1:i386 libegl1-mesa libgl1-mesa-glx libgl1-mesa-glx:i386 libglapi-mesa:i386 libglapi-mesa libwayland-egl1-mesa xserver-xorg-video-amdgpu
Предлагаемые пакеты:
  firmware-amd-graphics
НОВЫЕ пакеты, которые будут установлены:
  libdrm-amdgpu1 libdrm-amdgpu1:i386 xserver-xorg-video-amdgpu
Пакеты, которые будут обновлены:
  libegl1-mesa libgl1-mesa-glx libgl1-mesa-glx:i386 libglapi-mesa:i386 libglapi-mesa libwayland-egl1-mesa
обновлено 6, установлено 3 новых пакетов, для удаления отмечено 0 пакетов, и 20 пакетов не обновлено.
не установлено до конца или удалено 8 пакетов.
Необходимо скачать 0 B/3.246 kB архивов.
После данной операции, объём занятого дискового пространства возрастёт на 850 kB.
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 773946 файлов и каталогов.)
Подготовка к распаковке …/libdrm-amdgpu1_2.4.85+git1710210630.e580be~gd~x_amd64.deb …
Распаковывается libdrm-amdgpu1:amd64 (2.4.85+git1710210630.e580be~gd~x) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-amdgpu1_2.4.85+git1710210630.e580be~gd~x_amd64.deb (--unpack):
 попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-common 2.4.84+git20171019.511c71c8-0ubuntu0ricotz~16.04.1
Подготовка к распаковке …/libdrm-amdgpu1_2.4.85+git1710210630.e580be~gd~x_i386.deb …
Распаковывается libdrm-amdgpu1:i386 (2.4.85+git1710210630.e580be~gd~x) …
dpkg: ошибка при обработке архива /var/cache/apt/archives/libdrm-amdgpu1_2.4.85+git1710210630.e580be~gd~x_i386.deb (--unpack):
 попытка перезаписать «/usr/share/libdrm/amdgpu.ids», который уже имеется в пакете libdrm-common 2.4.84+git20171019.511c71c8-0ubuntu0ricotz~16.04.1
Обрабатываются триггеры для libc-bin (2.23-0ubuntu9) …
При обработке следующих пакетов произошли ошибки:
 /var/cache/apt/archives/libdrm-amdgpu1_2.4.85+git1710210630.e580be~gd~x_amd64.deb
 /var/cache/apt/archives/libdrm-amdgpu1_2.4.85+git1710210630.e580be~gd~x_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Автор темы
SergNik
Сообщения: 2
Зарегистрирован: 24 окт 2017, 12:41

Прошу помощи с Минтом

Сообщение SergNik » 24 окт 2017, 15:03

Решил проблему.
Помогла статья https://forums.linuxmint.com/viewtopic.php?t=253257

Вернуться в «Болталка: Оффтоп, разбор полетов»